#pragma once

/*
 * (C) 1992 SixxHeads Software
 * (C) 1992 Berkeley Systems
 * All Rights Reserved
 *
 * The Gestalt codes and interfaces for the FinderMenu extension.
 *
 * This extension provides a method of inserting menus into the
 * Finder's menubar, as well as retrieving the Finders selection.
 *
 * System 7 Only.

 * This code is freely distributable, but credit must be given in any
 * derivative work.
 * 
 * <Revision History>
 *		04/28/92 smz Created.
 */

#define cFinderCancelHitEvent	'fmch'
#define cFinderMenuHitEvent		'fmhe'
#define cGetFinderMenuProc		'fmci'

enum {
	eOutOfMemoryError = -3,
	eInitNotInstalled = -2,
	eIDAlreadyInstalled = -1
};

// of your application
extern OSType theCreatorID;

short FMInit(void);
Boolean FMAppend(MenuHandle hm, short beforeID);
MenuHandle FMDeleteMenus(void);
Boolean FMRemove(void);
Boolean FMFreshMenuBar(void);
Boolean FMRollBeachball(void);
Boolean FMFinishedProcessing(void);	// when you are done processing things

#include "FinderMenuPrivate.h"
